<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/homeModuleAssuageGriefViewChildLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:paddingTop="@dimen/platform_dp_20">

    <!-- 标题，默认隐藏-->
    <TextView
        android:id="@+id/homeModuleAssuageGriefViewTitle"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        android:maxLines="1"
        android:ellipsize="end"
        android:textColor="@color/platform_color_242424"
        android:textSize="@dimen/platform_dp_18"
        android:layout_marginBottom="@dimen/platform_dp_6"
        android:textStyle="bold"
        android:paddingLeft="@dimen/platform_dp_16"
        android:paddingRight="@dimen/platform_dp_16"
        tools:text="可是除了你，没人能左右我的情绪可是除了你，没人能左右我的情绪"/>

    <TextView
        android:id="@+id/homeModuleAssuageGriefViewContent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:maxLines="1"
        android:ellipsize="end"
        android:lineSpacingExtra="@dimen/platform_dp_5"
        android:paddingLeft="@dimen/platform_dp_16"
        android:paddingRight="@dimen/platform_dp_16"
        tools:text="在我空闲的时间里，我想起了许久没有联系的露娜，给她打了一通电话。我没有说很多，可她还是感觉出了我的不对劲，竟然不顾雪夜寒冷与路途遥远，一个多钟在我空闲的时间里，我想起了许久没有联系的露娜，给她打了一通电话。我没有说很多，可她还是感觉出了我的不对劲，竟然不顾雪夜寒冷与路途遥远，一个多钟..."
        android:textSize="@dimen/platform_dp_15"
        android:textColor="@color/platform_color_242424"/>

    <LinearLayout
        android:id="@+id/homeModuleAssuageGriefItemImageItemLL"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="15dp"
        android:visibility="gone"
        android:paddingLeft="@dimen/platform_dp_16"
        android:paddingRight="@dimen/platform_dp_16"
        android:orientation="vertical">
    </LinearLayout>

    <!-- 评论内容，默认隐藏-->
    <RelativeLayout
        android:id="@+id/homeModuleAssuageGriefViewComment"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/platform_dp_12"
        android:visibility="gone"
        android:layout_marginTop="@dimen/platform_dp_16"
        android:layout_marginLeft="@dimen/platform_dp_16"
        android:layout_marginRight="@dimen/platform_dp_16"
        android:background="@drawable/home_assuage_grief_item_view_tab_comment_back">

        <androidx.cardview.widget.CardView
            android:id="@+id/homeModuleAssuageGriefViewHotViewHeaderCard"
            android:layout_width="30dp"
            android:layout_height="30dp"
            app:cardCornerRadius="15dp"
            app:cardElevation="0dp">
            <ImageView
                android:id="@+id/homeModuleAssuageGriefViewHotViewHeader"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:src="@drawable/platform_head_place_hold_pic"
                android:scaleType="centerCrop"/>
        </androidx.cardview.widget.CardView>


        <TextView
            android:id="@+id/homeModuleAssuageGriefViewHotViewComment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/platform_dp_8"
            tools:text="劳蘸酱："
            android:textStyle="bold"
            android:gravity="center_vertical"
            android:textSize="@dimen/platform_dp_15"
            android:layout_toRightOf="@+id/homeModuleAssuageGriefViewHotViewHeaderCard"
            android:textColor="#282829"
            android:maxLines="1"
            android:ellipsize="end"
            android:layout_alignTop="@+id/homeModuleAssuageGriefViewHotViewHeaderCard"
            android:layout_alignBottom="@+id/homeModuleAssuageGriefViewHotViewHeaderCard"
            />

        <ImageView
            android:id="@+id/homeModuleAssuageGriefViewHotViewVip"
            android:layout_width="13dp"
            android:layout_height="13dp"
            android:visibility="gone"
            android:layout_marginLeft="4dp"
            android:layout_toRightOf="@+id/homeModuleAssuageGriefViewHotViewComment"
            android:layout_alignTop="@+id/homeModuleAssuageGriefViewHotViewHeaderCard"
            android:layout_alignBottom="@+id/homeModuleAssuageGriefViewHotViewHeaderCard"
            android:src="@drawable/home_assuage_grief_item_user_type_v"
            android:scaleType="centerInside"/>

        <TextView
            android:id="@+id/homeModuleAssuageGriefViewHotViewCommentContent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:lineSpacingExtra="@dimen/platform_dp_4"
            tools:text="人生的旅途中，我们总是在不断的相遇和告别中前行。生活总会让我们经历着或多或少我们总是在不断的相遇和告别中前行我们总是在不断的相遇和告别中前行"
            android:textSize="@dimen/platform_dp_15"
            android:textColor="@color/platform_color_666666"
            android:maxLines="2"
            android:lineHeight="17dp"
            android:ellipsize="end"
            android:layout_marginTop="@dimen/platform_dp_6"
            android:layout_below="@+id/homeModuleAssuageGriefViewHotViewHeaderCard"
            />

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/platform_dp_16"
        android:paddingRight="@dimen/platform_dp_16"
        android:layout_marginTop="@dimen/platform_dp_12"
        android:gravity="center_vertical">
        <LinearLayout
            android:id="@+id/ll_topic_detail"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/platform_dp_8"
            android:paddingRight="@dimen/platform_dp_8"
            android:paddingTop="@dimen/platform_dp_6"
            android:paddingBottom="@dimen/platform_dp_6"
            android:gravity="center"
            android:background="@drawable/home_assuage_grief_item_view_tab_back">
            <ImageView
                android:layout_width="14dp"
                android:layout_height="14dp"
                android:src="@drawable/home_assuage_grief_item_view_tab_icon"/>
            <TextView
                android:id="@+id/homeModuleAssuageGriefViewTag"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                tools:text="情感倾诉"
                android:textColor="@color/platform_color_242424"
                android:textSize="@dimen/platform_dp_11"
                android:layout_marginLeft="@dimen/platform_dp_4"/>
        </LinearLayout>
        <View
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="0dp"/>
        <ImageView
            android:layout_width="@dimen/platform_dp_18"
            android:layout_height="@dimen/platform_dp_18"
            android:src="@drawable/home_assuage_grief_item_view_tab_comment"/>
        <TextView
            android:id="@+id/homeModuleAssuageGriefViewCommentsCount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="68"
            android:textSize="@dimen/platform_dp_14"
            android:paddingBottom="1dp"
            android:textColor="@color/platform_color_666666"
            android:layout_marginRight="@dimen/platform_dp_22"
            android:layout_marginLeft="@dimen/platform_dp_5"/>

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">


        </LinearLayout>
        <LinearLayout
            android:id="@+id/ll_zan"
            android:orientation="horizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center_vertical">
            <ImageView
                android:id="@+id/homeModuleAssuageGriefViewZanState"
                android:layout_width="@dimen/platform_dp_18"
                android:layout_height="@dimen/platform_dp_18"
                android:src="@drawable/home_assuage_grief_item_view_tab_warm"/>
            <TextView
                android:id="@+id/homeModuleAssuageGriefViewZanCount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                tools:text="987"
                android:textSize="@dimen/platform_dp_14"
                android:paddingBottom="1dp"
                android:textColor="@color/platform_color_666666"
                android:layout_marginLeft="@dimen/platform_dp_5"/>
        </LinearLayout>
    </LinearLayout>

    <View
        android:id="@+id/homeModuleAssuageGriefViewBottomLine"
        android:layout_width="match_parent"
        android:layout_height="4dp"
        android:background="@color/platform_color_F6F6F6"
        android:layout_marginTop="16dp"/>

    <TextView
        android:id="@+id/homeModuleAssuageGriefViewBottomBtn"
        android:layout_width="match_parent"
        android:layout_marginLeft="16dp"
        android:visibility="gone"
        android:layout_marginRight="16dp"
        android:layout_height="44dp"
        android:text="查看更多"
        android:textSize="15dp"
        android:textColor="#FD9B0A"
        android:gravity="center"
        android:layout_marginTop="27dp"
        android:background="@drawable/home_assuage_grief_item_bottom_btn_bg"/>

</LinearLayout>
